How to install sqlite3 on Debian running Node.js?

I have a debian vm on my windows pc that runs nodejs the problem is that sqlite3 won't install on my application (mediacenterjs) but installs perfectly globally.

Here is part of my log file npm-debug.log:

/opt/mediaCenter1/node_modules/.staging/node-pre-gyp-445d3086
4883 info lifecycle node-pre-gyp@0.6.14~install: node-pre-gyp@0.6.14
4884 silly lifecycle node-pre-gyp@0.6.14~install: no script for install, continuing
4885 silly install sqlite3@3.1.1 /opt/mediaCenter1/node_modules/.staging/sqlite3-f2e19105
4886 info lifecycle sqlite3@3.1.1~install: sqlite3@3.1.1
4887 verbose lifecycle sqlite3@3.1.1~install: unsafe-perm in lifecycle false
4888 verbose lifecycle sqlite3@3.1.1~install: PATH: /root/.npm-global/lib/node_modules/npm/bin/node-gyp-bin:/opt/mediaCenter1/node_modules/sqlite3/node_modules/.bin:/opt/mediaCenter1/node_modules/.bin:/usr/local/bin:/root/.npm-global/bin:/root/bin:/root/bin:/usr/lib/git-core:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
4889 verbose lifecycle sqlite3@3.1.1~install: CWD: /opt/mediaCenter1/node_modules/sqlite3
4890 silly lifecycle sqlite3@3.1.1~install: Args: [ '-c', 'node-pre-gyp install --fallback-to-build' ]
4891 silly lifecycle sqlite3@3.1.1~install: Returned: code: 1 signal: null
4892 info lifecycle sqlite3@3.1.1~install: Failed to exec install script
4893 verbose unlock done using /root/.npm/_locks/staging-fbc9d3a61073e2fa.lock for /opt/mediaCenter1/node_modules/.staging
4894 silly rollbackFailedOptional Starting
4895 silly rollbackFailedOptional Finishing
4896 silly runTopLevelLifecycles Starting
4897 silly runTopLevelLifecycles Finishing
4898 silly install printInstalled
4899 warn mediacenterjs@0.1.3 license should be a valid SPDX license expression
4900 verbose stack Error: sqlite3@3.1.1 install: `node-pre-gyp install --fallback-to-build`
4900 verbose stack Exit status 1
4900 verbose stack at EventEmitter. (/root/.npm-global/lib/node_modules/npm/lib/utils/lifecycle.js:242:16)
4900 verbose stack at emitTwo (events.js:106:13)
4900 verbose stack at EventEmitter.emit (events.js:191:7)
4900 verbose stack at ChildProcess. (/root/.npm-global/lib/node_modules/npm/lib/utils/spawn.js:40:14)
4900 verbose stack at emitTwo (events.js:106:13)
4900 verbose stack at ChildProcess.emit (events.js:191:7)
4900 verbose stack at maybeClose (internal/child_process.js:850:16)
4900 verbose stack at Process.ChildProcess._handle.onexit (internal/child_process.js:215:5)
4901 verbose pkgid sqlite3@3.1.1
4902 verbose cwd /opt/mediaCenter1
4903 error Linux 3.16.0-4-amd64
4904 error argv "/usr/local/bin/node" "/root/.npm-global/bin/npm" "install" "sqlite3"
4905 error node v6.2.0
4906 error npm v3.10.5
4907 error code ELIFECYCLE
4908 error sqlite3@3.1.1 install: `node-pre-gyp install --fallback-to-build`
4908 error Exit status 1
4909 error Failed at the sqlite3@3.1.1 install script 'node-pre-gyp install --fallback-to-build'.
4909 error Make sure you have the latest version of node.js and npm installed.
4909 error If you do, this is most likely a problem with the sqlite3 package,
4909 error not with npm itself.
4909 error Tell the author that this fails on your system:
4909 error node-pre-gyp install --fallback-to-build
4909 error You can get information on how to open an issue for this project with:
4909 error npm bugs sqlite3
4909 error Or if that isn't available, you can get their info via:
4909 error npm owner ls sqlite3
4909 error There is likely additional logging output above.
4910 verbose exit [ 1, true ]

Answers


Use the command npm to install sqlit3 , a detailled tutorial is here:

npm install --build-from-source --runtime=node-webkit --target_arch=ia32 --target=$(NODE_WEBKIT_VERSION)

In debian

sudo apt-get install node-sqlite3

Need Your Help

Nhibernate: update POCO, persist, collect children?

c# hibernate nhibernate

I still have difficulties with some NHibernate terms so please bear with me.

Adding an old static page into a rails app without breaking CSS/JS

javascript html css ruby-on-rails subdomain

I am working on a complete overhaul of an old, static site that I had put together. The overhauled app is being built using Rails (4, Ruby 2). I would like to include the old static site in the new...